---
title: Now with OwnCloud
date: 2012-02-07 18:43:05
---

After a long pause in this blog, I just updated the broken edition method. Before, the only method to add new notes
in this blog was using SVN, which was broken when I migrated to Mercurial.
 
Now, I shared a folder with WebDAV, using ownCloud so that I can access these notes from anywhere using either a mounted
folder in my home directory or the online interface.

As soon as an entry is added or modified, a small watch script launch a blog recompilation :

```
#!/bin/bash

SHARED_FOLDER=""
BUILD_FOLDER=""

while inotifywait -e modify $SHARED_FOLDER; do
    cp $SHARED_FOLDER/* $BUILD_FOLDER
    chronicle
    echo "Recompiled blog"
done
```

Easy !

