---
title: Ubiquiti Unifi at home
date: 2017-08-20 18:00:00
---

I have been using the same router with OpenWRT installed for now 8 years
and recently my network was beginning to become somewhat insufficient. I
have a number of servers in my home, a number of mobile devices connected
by Wifi and the router is in the living room whereas we both have a desktop
computer on an another floor, without cabled network in the home.

Until now, the network was using a single router in the living room, a 
Devolo dLAN650+ to distribute the network both to the servers in an another
room and to the office. It worked well in our small appartement but now
that we are living in a house and the office is upstairs, the power network
in the house is split and the connectivity between the living room and
the office is insufficient and connecting every device using the Wifi grinds
the network to a halt for some reason.

After seeing a lot of people on the internet happy with their Unifi network,
I decided to look into it and despite the cost, I decided to jump into it
and install everything.

The hardware used is the following:

* UniFi Security Gateway 3P
* UniFi Switch 8 POE-60W
* UniFi AP-AC-Lite
* UniFi AP-AC-Pro
* UniFi CloudKey

Since the office is not connected by cable to the living room, I had to
plan for a somewhat non-conventional network using the AP-AC-Lite in
bridge mode to forward the WiFi traffic back into a cabled network. I
know this is not kosher, but I didn't want to buy devices that won't be
used the day we move to a new house.

The setup was really easy: Plug the Security Gateway into the ISP modem,
plug the POE Switch to everything. Wait some minutes that everything boots
up during which you can download the Chrome App that helps detect and
setup the new devices.

Once every device is light-up blue, connect to the [unifi](http://unifi.ubnt.com/)
cloud interface, create an account, adopt every device, upgrade them and
configure the network as needed. I have to say, it has been a long time
since I played that much with a network device and it has been fun.

The configuration of the bridge, the dreaded part as every hint on the
Internet has been *don't do that*, was also really easy: disconnect the
AC-Lite, connect it to the POE injector without a cable back to the main
network. After a minute or so, it is marked as isolated, as which point
it is possible to configure a *Wireless uplink* to the main AP-AC. Easy,
quick and from what I can tell, the speed and ping from the office computers
is now largely improved over the previous dLAN connection.

Everything has been installed and configured in one evening and as I
configured the Wifi the same as before, no device had to be reconfigured.

It's really crazy to see the speed improvement on WiFi over the last
router that was already a good router by (consumer) comparison.
