---
title: How to disable Num_Lock
date: 2010-08-16 14:14:08
---

A small note about the most useless key on my keyboard : *Num_Lock*

I don't know about you, but when I have numbers to type, I use the line on top of the keyboard and not the numeric pad that, once activated, replaces some keys of my keyboard - Yes, I'm on a laptop.

So, about disabling that key and rendering it useful :

```
xmodmap -e 'keycode 77 = ISO_Level3_Shift'
```
Replace the keycode with what corresponds to your numlock key. If you don't know the keycode, use xev.

If you use that numlock key sometimes, you can map the Shift+NumLock to NumLock:

```
xmodmap -e 'keycode 77 = ISO_Level3_Shift Num_Lock'
```

Now you have a numlock key that can be used for anything you want ...

PS: The mapping disappear at reboot, you'll have to add it to the startup or login, I'll let you play !

